/**
 * The main module
 *
 * @context atl.general
 *
 */
var $ = require('speakeasy/jquery').jQuery;

$(document).ready(function() {
  
  // @see http://ffeathers.wordpress.com/2011/11/26/how-to-find-an-image-location-in-the-confluence-4-0-editor/
  
  $('#action-menu-link-secondary').append('<li><a id="linkToImageParents" href="#">Link to Image Parent Pages</a></li>');
  
  $('#linkToImageParents').click(function(e){

    $('#content img').each(function(){
    
      var re = new RegExp(/\/attachments\/[0-9]*\//);
      var matches = re.exec(this.src);

      if (matches != null) {
      
        parentPageId = matches[0].substring(13, matches[0].length-1);
        
        if (parentPageId != AJS.params.pageId){ // image is attached to another page
        
            $(this).addClass('highlightEmbeddedImg').after(' <a class="imgParentLink" target="_blank" href="'+$('meta[name="ajs-context-path"]').attr('content')+'/pages/viewpage.action?pageId='+parentPageId+'">Parent Page</a> ');
        }
      }
    });
    
    AJS.dropDownHider(); // Clean up unpleasantness with the drop-down menus
    e.preventDefault();  // doesn't seem to work :(
    
    return false;
    
  });  
});